org.osgi.framework.connect

## Interface ConnectContent.ConnectEntry

Enclosing interface:
  ConnectContent

    @ConsumerType
    public static interface ConnectContent.ConnectEntry

Represents the entry of a `ConnectContent`.

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`default byte[]` `getBytes()` Returns the content of this entry.
`long` `getContentLength()` Returns the content length of this entry.
`InputStream` `getInputStream()` Returns an input stream for the content of this entry.
`long` `getLastModified()` Returns the last modification time of this entry.
`String` `getName()` Returns the path name of this entry.

### Method Detail

#### getName

    String getName()

Returns the path name of this entry.

Returns:
  The path name of this entry.

#### getContentLength

    long getContentLength()

Returns the content length of this entry.

Returns:
  The content length of the entry, or `-1` if the content length is not known.

#### getLastModified

    long getLastModified()

Returns the last modification time of this entry.

Returns:
  The last modification time of this entry measured in milliseconds since the epoch (00:00:00 GMT, January 1, 1970).

#### getBytes

    default byte[] getBytes()
                     throws IOException

Returns the content of this entry.

Returns:
  The content of this entry.
Throws:
  `IOException` - If an error occurs reading the content.

#### getInputStream

    InputStream getInputStream()
                        throws IOException

Returns an input stream for the content of this entry.

Returns:
  An input stream for the content of this entry.
Throws:
  `IOException` - If an error occurs reading the content.